Bug 1555731 - ergo: FTBFS in F28
Summary: ergo: FTBFS in F28
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ergo
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Susi Lehtola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-03-14 19:34 UTC by Fedora Release Engineering
Modified: 2018-07-27 16:55 UTC (History)
1 user (show)

Fixed In Version: ergo-3.7-1.fc27 ergo-3.7-1.fc28 ergo-3.7-1.el7 ergo-3.7-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-20 16:58:18 UTC
Type: ---


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2018-05-29 22:47 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2018-05-29 22:47 UTC, Fedora Release Engineering
no flags Details
state.log (599 bytes, text/plain)
2018-05-29 22:47 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2018-03-14 19:34:32 UTC
Your package ergo failed to build from source in current F28.

https://koji.fedoraproject.org/koji/taskinfo?taskID=24783333

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Comment 1 Fedora Release Engineering 2018-05-29 22:47:34 UTC
Created attachment 1445581 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2018-05-29 22:47:39 UTC
Created attachment 1445582 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2018-05-29 22:47:42 UTC
Created attachment 1445583 [details]
state.log

Comment 4 Zbigniew Jędrzejewski-Szmek 2018-07-09 04:12:42 UTC
Dear Maintainer,

your package has not been built successfully in F28. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://fedoraproject.org/wiki/Fails_to_build_from_source#Package_Removal_for_Long-standing_FTBFS_bugs

Comment 5 Zbigniew Jędrzejewski-Szmek 2018-07-09 04:17:42 UTC
Dear Maintainer,

your package has not been built successfully in F28. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to acknowledge this. Following the latest policy for such packages [2], your package will be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://fedoraproject.org/wiki/Fails_to_build_from_source#Package_Removal_for_Long-standing_FTBFS_bugs

Comment 6 Susi Lehtola 2018-07-10 18:03:49 UTC
Builds fixed with assistance from upstream. Updates following.

Comment 7 Fedora Update System 2018-07-10 21:11:07 UTC
ergo-3.7-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5efc0252e5

Comment 8 Fedora Update System 2018-07-10 21:11:14 UTC
ergo-3.7-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-ade757416b

Comment 9 Fedora Update System 2018-07-10 21:11:20 UTC
ergo-3.7-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ee1b0f73f3

Comment 10 Fedora Update System 2018-07-10 21:11:25 UTC
ergo-3.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-a470b58e20

Comment 11 Fedora Update System 2018-07-11 19:18:48 UTC
ergo-3.7-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ee1b0f73f3

Comment 12 Fedora Update System 2018-07-11 19:51:12 UTC
ergo-3.7-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-a470b58e20

Comment 13 Fedora Update System 2018-07-11 19:59:44 UTC
ergo-3.7-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-ade757416b

Comment 14 Fedora Update System 2018-07-11 23:44:08 UTC
ergo-3.7-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5efc0252e5

Comment 15 Fedora Update System 2018-07-20 16:58:18 UTC
ergo-3.7-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-07-20 17:43:03 UTC
ergo-3.7-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2018-07-27 14:31:33 UTC
ergo-3.7-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2018-07-27 16:55:53 UTC
ergo-3.7-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.